> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Issue a token for an app installation in a space environment POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_definition_id}/access_tokens Reference: https://contentful.com/developers/docs/references/content-management-api/app-access-token/issue-a-token-for-an-app-installation-in-a-space-environment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `environment_id` (string, required) — environment_id identifier - `app_definition_id` (string, required) — app_definition_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-03-28T21:28:49.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "expiresAt": "2025-02-28T10:38:49.000Z", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "AppAccessToken", "updatedAt": "2025-03-28T21:28:49.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } }, "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImViZWY2MDJlLTMxZGItNGMzYi1iZjAwL..." } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) const { sign } = require('jsonwebtoken') const signOptions = { algorithm: 'RS256', issuer: '', expiresIn: '10m' } const data = { jwt: sign({}, '', signOptions) } client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.createAppAccessToken('', data)) .then((appAccessToken) => console.log(appAccessToken)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) import { sign } from 'jsonwebtoken' const signOptions = { algorithm: 'RS256', issuer: '', expiresIn: '10m' } const { token } = await client.appAccessToken.create({ spaceId: '', environmentId: '', appDefinitionId: '', }, { jwt: sign({}, '', signOptions) } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```